## Random data from the normal distribution

set.seed(12345)

# Generate data
mu <- 50.8; sigma <- 5; n = 200
x <- rnorm(n, mu, sigma)
print(x, digits = 4)

# Figures
layout(matrix(1:2,1))
qqnorm(x); hist(x)

# Test H1: mu > 50
CritM <- qnorm(p = .05,
               mean = 50,
               sd = sigma/sqrt(n),
               lower.tail = FALSE)
ifelse (mean(x) > CritM,
        "Result significant",
        "Result not significant")