## Running repeated simulations

set.seed(12345)

# Specifications
J = 2
n = 50
mu	<- c(50, 53)
sigma	<- 5

# Simulation
runs <- 1000
RandomData <- lapply(1:runs,
                     function(X)
                     {
                       data.frame(Subj = 1:(J*n),
                                  A = factor(rep(1:J, times = n)),
                                  y = round(rnorm(J*n, mean = mu, sd = sigma)))
                     })

# Analysis
pvalues <- unlist(lapply(RandomData,
                  function(X) t.test(y ~ A, X)$p.value))
table(ifelse(pvalues <= .05, "significant", "non-significant"))