## Simulation from different normal distributions

set.seed(12345)

# Specifications
J = 6
n = 10
mu	<- c(25, 15, 23, 20, 15, 22)
sigma	<- c(1, 2, 5, 2, 4, 6)

# Create data frame
RandomData <- data.frame(Subj = 1:(J*n),
                         A = factor(rep(1:J, times = n)),
                         y = round(rnorm(J*n, mean = mu, sd = sigma)))

# Check distributions
boxplot(y ~ A, RandomData)