## Subset of a data frame

# Data creation
set.seed(12345)
d <- data.frame(A = rep(c("a1", "a2", "a3"), each = 20),
                B = rep(c("b1", "b2"), times = 3, each = 10),
                Y = rnorm(60,
                          mean = c(10, 10, 11, 9, 9, 11),
                          sd = 2))
attr(d, "variable.labels") <- c(A = "Variable A",
                                B = "Variable B",
                                Y = "Variable Y")
comment(d) <- "My first data set"
attr(d, "Date of data recording") <- "2020/11/02"

# Data subsets
d1 <- d[d$A == "a1",]
d2 <- d[d$A %in% c("a1", "a2"),]
d3 <- d[d$A == "a1" & d$B == "b1",]
d4 <- d[d$A == "a1", c("A", "B")]
d5 <- subset(d,
             subset = A == "a1")
d6 <- subset(d,
             subset = A == "a1",
             select = c("A", "Y"))

attributes(d1)
attributes(d4)
attributes(d6)