## Using attributes of a matrix or data frame

d <- cbind(1:5,
           c(21, 22, 20, 21, 21),
           c(25, 33, 26, 23, 27),
           c(7, 9, 15, 8, 9))
d

# Get attributes
attributes(d)
str(d)
class(d)

# Set attributes
comment(d) <- "A 5 x 4 matrix of numbers"
dimnames(d) <- list(paste("Subject", 1:5), paste("Variable", 1:4))
d

# Get attributes again
attributes(d)
str(d)

# Convert d to a data frame
d_df <- as.data.frame(d)
d_df

# Get attributes
attributes(d_df)
attributes(d_df$`Variable 1`)
str(d_df)
class(d_df)

# Set attributes
names(d_df) <- c("ID", "ASO", "ASR", "DEP")
row.names(d_df) <- c("Susi", "John", "Mary", "Jane", "Dave")
comment(d_df) <- "Data from my first five subjects"
comment(d_df$ID) <- "Subject ID"
comment(d_df$ASO) <- "Age at symptom onset"
comment(d_df$ASR) <- "Age of symptom remission"
comment(d_df$DEP) <- "Depression score"

# Get attributes again
attributes(d_df)
str(d_df)

# Attributes of a data subset
d_df_HighDepression <- d_df[d_df$DEP > 8,]
d_df_HighDepression
attributes(d_df_HighDepression)
str(d_df_HighDepression)