## reshape() data frame between wide and long format

# Data creation
set.seed(12345)
DataWide <- data.frame(VP = 1:20,
                       A = gl(n = 2, k = 10, labels = c("a1", "a2")),
                       B = gl(n = 2, k = 5, length = 20,
                              labels = c("b1", "b2")),
                       X1 = 101:120,
                       X2 = 201:220,
                       Y1 = 10 + rnorm(20),
                       Y2 = 20 + rnorm(20),
                       Y3 = 30 + rnorm(20))

# Reshape to long format
DataLong <- reshape(DataWide,
                    direction = "long",
                    varying = c("Y1", "Y2", "Y3"),
                    v.names = "Y",
                    timevar = "C",
                    times = c("c1", "c2", "c3"))