## Add-on packages for data exploration

source("Ch4_DataCreation.R")

library(gdata)
library(memisc)
library(descr)
library(sjstats)
library(Hmisc)
library(psych)
library(car)

attach(d)

# gdata
ll()
nobs(Y)

# memisc
Descriptives(Y)
Table(Y)
codebook(d)

# descr
freq(Y)
CrossTable(A, X)
compmeans(Y, A)

# sjstats
prop(d, Y > 17)
props(d, A == "a1" & Y > 12)
tab <- table_values(table(A, Y))
tab$cell
tab$expected
means_by_group(d, Y, A)

# Hmisc
contents(d)
bystats(Y, A, B, fun = mean)
rcorr(X, Y)

# psych
describeBy(Y, list(A, B), mat = TRUE)
mardia(Y)
corr.test(X, Y)

# car
leveneTest(Y, A)
vif(lm(Y ~ A + B + X))

detach(d)