## Finding missing data
# Data creation
d <- data.frame(ID = paste0("id", 1:10),
                X = c(3, 2, NA, 3, 5, 5, NA, 2, 4, 3),
                Y = c(NA, NA, 5, 3, 4, 2, NA, 4, 2, 5),
                row.names = "ID")

# Find missings
View(d)
anyNA(d)
is.na(d)
rowSums(is.na(d))
colSums(is.na(d))
which(is.na(d))
is.na(d$X)
View(d[is.na(d$X),])
View(d[!complete.cases(d),])

# Handle missings in calculations
mean(d$X)
mean(d$X, na.rm = TRUE)
rowSums(d)
rowSums(d, na.rm = TRUE)
table(d$X)
table(d$X, useNA = "always")