## Using by() to calculate for several columns split by group.

# Data creation
Data <- data.frame(
    A = gl(n = 2, k = 4, labels = c("a1","a2")),
    y1 = c(2, 3, 4, 5, 6, 7, 8, 9),
    y2 = c(1, 1, 2, 3, 4, 2, 1, 6))

# Apply function
Statistics <- with(Data,
                   {
                       by(cbind(y1,y2), A, function(X)
                       {
                           list(Mean = colMeans(X),
                                Sum = colSums(X))
                       })
                   })

Statistics$a1$Mean["y1"]
StatisticsUnlisted <- unlist(Statistics)
names(StatisticsUnlisted)
StatisticsUnlisted[grep("Mean", names(StatisticsUnlisted))]