## Using lists to collect objects

source("Ch4_DataCreation.R")

# Collect results of an analysis in a list
myResults <- list(Descriptives = by(data = data.frame(d$X, d$Y),
                                    INDICES = list(d$A, d$B),
                                    FUN = summary),
                  Correlations = cor(d$X, d$Y),
                  ANOVA = aov(Y ~ A * B, data = d))


# Access the elements of the results list
myResults$Descriptives
myResults$Correlations
summary(myResults$ANOVA)
names(myResults$ANOVA)
myResults$ANOVA$coefficients