## table()

source("Ch4_DataCreation.R")

# Univariate distributions
table(d$A)
table(d$X)
table(d$Y)
table(cut(d$Y, breaks = 4))

# Bivariate distributions
t_AY <- table(d$A, d$Y)
print(t_AY)
addmargins(t_AY)
margin.table(t_AY, margin = 2)
prop.table(t_AY, margin = 1)

# Multivariate distributions
t_ABY <- table(d$A, d$Y, d$B)
print(t_ABY)
ftable(d$A, d$B, d$Y, col.vars = 3)

# Tests for independence
summary(t_AY)
chisq.test(d$A, d$Y)
mantelhaen.test(t_ABY)