## A graphical layout of 30 histograms over 5 pages

# Create random data
set.seed(12345)
Data <- matrix(rnorm(3000, seq(10, 12, length.out = 30), sd = 2),
               nrow = 100,
               byrow = TRUE)

# Create graphical output
pdf(file = "Ch5_ComplexHistogramLayout.pdf", onefile = TRUE)
layout(matrix(1:6, nrow = 3, byrow = TRUE))
for(i in 1:30)
{
  hist(Data[, i],
       ylim = c(0, 40),
       breaks = -.5:20.5,
       xlab = paste("Var", i),
       main = NULL)
}                                               
dev.off()