## A layout of one main and several auxiliary diagrams

# Create correlated random data with two factors
set.seed(12345)
Lambda <- matrix(c(.3, .3, .3, .3, .2, .2, .2, .2,
                   .2, .2, .2, .2, .3, .3, .3, .3), nrow = 8)
Sigma <- Lambda %*% t(Lambda) + diag(rep(.3, nrow(Lambda)))
Data <- mvtnorm::rmvnorm(n = 100, sigma = Sigma)

# Set up layout
m <- matrix(rep(1,16), nrow = 4)
m <- cbind(m, 2:5)
m <- rbind(m, 6:10)
par(oma = c(1, 1, 1, 1))
layout(m)
layout.show(10)

# Create graphical output
plot(rowMeans(Data[,1:4]),
     rowMeans(Data[,5:8]),
     xlab = "Scale X",
     ylab = "Scale Y")
par(mar = c(3, 2, .5, .5))
apply(Data, MARGIN = 2, hist,
      main = NULL,
      ylab = NULL,
      ylim = c(0,40))