## Manipulate graphical parameters with par()

set.seed(12345)

# General settings
layout(matrix(1:2, nrow = 1))
par(oma = c(2,2,2,2), bg = "grey 90", fg = "blue")

# Left diagram
hist(rnorm(100))
box(col = "orange")
box(which = "figure", col = "grey 50")

# Right diagram
par(mar = c(5, 3, 3, 3))
hist(rnorm(100),
     xlim = c(-10,10),
     xlab = "Random variable",
     xaxt = "n",
     yaxt = "n",
     main = "My histogram",
     col = "red")
box(col = "orange")
box(which = "figure")
par(oma = c(1, 2, 1, .5))
box(which = "figure")