## A priori contrasts with multcomp::glht()

source("Ch6_RandomData.R")
library(multcomp)

# Preparation
ContrastCoefficients <- rbind("a1>a2" = c(1, -1, 0),
                              "a1a2>a3" = c(.5, .5, -1))

# Calculations
GrandMean <- mean(d$Y)
Means <- tapply(d$Y, d$A, mean)
m <- aov(Y ~ A, d)
mC <- glht(m,
           linfct = mcp(A = ContrastCoefficients),
           alternative = "greater")

# Results
GrandMean
Means
summary(m)
summary(mC)