## Two-factor ANOVA

source("Ch6_RandomData.R")

# Setup model formula
AllEffects  <- formula(Y ~ A * B)
MainEffects <- formula(Y ~ A + B)
Interaction <- formula(Y ~ A : B)

# Generate analyses
ModelMainEffects <- aov(MainEffects, data = d)
ModelInteraction  <- aov(Interaction,  data = d)
ModelAllEffects  <- aov(AllEffects,  data = d)

# Display results
summary(ModelMainEffects)
summary(ModelInteraction)
summary(ModelAllEffects)