## Using aov() to generate an ANOVA object

source("./Ch6_RandomData.R")

# Create model and summary
OnewayANOVA <- aov(Y ~ A, d)
summary(OnewayANOVA)

# Enquire further information
is(OnewayANOVA)
methods(class = "aov")
methods(class = "lm")

# aov methods
model.tables(OnewayANOVA)
TukeyHSD(OnewayANOVA)
coef(OnewayANOVA)

# lm methods
model.matrix(OnewayANOVA)
confint(OnewayANOVA)
layout(matrix(1:4, 2))
plot(OnewayANOVA)