## Logistic regression

library(memisc)
source("Ch7_DataCreation.R")

# Data preparation
table(d$QOL)
d$QOL_cat <- recode(d$QOL,
                    0 <- range(min, 20),
                    1 <- range(21, max)) 

# Descriptive statistics
with(d, table(QOL_cat, JOB))
with(d, tapply(QOL_cat, JOB, mean))
with(d,
     {
       plot(jitter(JOB), QOL_cat, pch = 16)
       points(tapply(QOL_cat, JOB, mean), pch = 18, cex = 2)
     })

# Logistic regression model
m <- glm(QOL_cat ~ JOB,
          data = d,
          family = binomial)
summary(m)

# Visualise predictions
curve(exp(coef(m)[1] + coef(m)[2] * x) / (1 + exp(coef(m)[1] + coef(m)[2] * x)),
      from = 1, to = 7, add = TRUE, lwd = 2)
points(d$JOB, predict(m, type = "response"),
       lwd = 3, lty = "dotted")