## Multiple regression with data imputation

library(mice)
source("Ch7_DataCreation.R")

# Delete data
set.seed(12345)
DeletionIndices <- sample(400, 50)
d <- as.matrix(d)
d[100 + DeletionIndices] <- NA
d <- as.data.frame(d)
View(d)

# Generate imputations
start_time <- Sys.time()
d_imp <- mice(d,
                seed = 12345,
                m = 20,
                maxit = 5)
end_time <- Sys.time()
print(end_time - start_time)

# Analysis
m_imp1 <- with(d_imp, lm(QOL ~ INC + JOB + ADV + REL))
m_imp2 <- with(d_imp, lm(QOL ~ INC + JOB + ADV * REL))
pool(m_imp1)
pool(m_imp2)
# If package texreg is available
texreg::screenreg(lapply(list(m_imp1, m_imp2), pool),
                  single.row = TRUE)