## A simple linear regression

source("Ch7_DataCreation.R")

# Scatter plot
with(d, plot(INC, QOL, pch = 16))

# Descriptives
means <- apply(d, 2, mean)
means
r <- cor(d)
print(r, digits = 2)

# Regression equation
m <- lm(formula = QOL ~ INC, data = d)
summary(m)

# Regression line
abline(m)
abline(v = means["INC"], lty = "dashed")
abline(h = means["QOL"], lty = "dashed")

# Diagnostic diagrams
layout(matrix(1:4, 2))
plot(m)

# Regression with standardised variables
m_z <- lm(scale(QOL) ~ scale(INC), d)
summary(m_z)