## Linear regression with the lm() function

source("Ch7_DataCreation.R")

# Linear regressions
m1 <- lm(QOL ~ JOB, data = d)
m2 <- lm(QOL ~ JOB + ADV, data = d)
m3 <- lm(QOL ~ JOB * ADV, data = d)

# Model summaries
summary(m1)
summary(m2)
summary(m3)

# Predicted values
d$QOL_predict <- predict(m1)
head(d)

# Further information about lm objects
is(m3)
methods(class = "lm")
head(model.frame(m3))
head(model.matrix(m3))