## Basic output of R objects in a text file.

source("./Ch8_DataCreation.R")
library(psych)

# Objects containing results
Descr <- describeBy(d$Y, list(d$A, d$B))
TableAB <- addmargins(table(d$A, d$B))
m <- aov(Y ~ A * B, data = d)

# Results output
capture.output(
  {
    cat("Descriptive statistics and ANOVA results\n",
        "========================================\n\n")
    cat("\n\nStructure of the data frame\n\n")
    str(d)
    cat("\n\nDescriptive statistics\n\n")
    print(Descr)
    cat("\n\nConfirm balanced design\n\n")
    print(TableAB)
    cat("\n\nANOVA summary\n\n")
    summary(m)
  }, file = "Descriptives.txt"
)