## Data creation
if(!exists("d"))
{
  set.seed(12345)
  d <- data.frame(id = 1:120)
  
  with(d,
       {
         # Define true effects
         N <- 120
         Mu <- rep(5, N)
         Alpha <- rep(c(-1,1), each = N/2)
         Beta <- rep(c(-.5, .3, .2), times = 2, each = N/6)
         AlphaBeta <- rep(c(0, 0, -.1, .6, -.5, 0), each = N/6)
         Epsilon <- rnorm(N, 0, 5)
         
         # Linear equation
         Y <- Mu + Alpha + Beta + AlphaBeta + Epsilon
         A <- factor(rep(c("a1", "a2"), each = N/2))
         B <- factor(rep(c("b1", "b2", "b3"), times = 2, each = N/6))
         
         d$A <<- A
         d$B <<- B
         d$Y <<- Y
         d$C1 <<- sample(c("C1_1","C1_2"), size = 120, replace = TRUE)
         d$C2 <<- sample(c("C2_1",
                           "C2_2",
                           "C2_3",
                           "C2_4"), size = 120, replace = TRUE)
         d$X1 <<- rnorm(N, rep(c(5, 5, 4.5, 5, 4.5, 5.5), each = N/6), 2)
         d$X2 <<- rnorm(N, rep(c(11, 12, 13, 12, 12, 12), each = N/6), 3)
       })
}