## R2HTML minimal example

library(R2HTML)
source("Ch8_DataCreation.R")

# Statistics
Descriptives <- tapply(d$Y, d$A, mean)
Correlations <- cor(d[c("X1", "X2", "Y")])
M1 <- aov(Y ~ A, d)
M2 <- update(M1, . ~ . + B)
M3 <- update(M2, . ~ . + X1)

# HTML Output R2HTML
HTMLSetFile(file = "Ch8_R2HTML_MinimalExample")
HTMLInitFile(outdir = getwd(),
             filename = HTMLGetFile(),
             Title = "R2HTML minimal example")
HTML(Descriptives)
HTML(Correlations)
HTML(summary(M1))
HTML(summary(M2))
HTML(summary(M3))
HTML(anova(M1, M2))
HTMLEndFile(file = HTMLGetFile())