## Some xtables
source("Ch8_DataCreation.R")

descr <- with(d,
              {
                n <- table(B)
                m <- tapply(Y, B, mean)
                print(m)
                sd <- tapply(Y, B, sd)
                descr <- cbind(n, m, sd)
                dimnames(descr) <- list(c("b1", "b2", "b3"),
                                        c("N", "Mean", "SD"))
                return(descr)
              })

descr_xt <- xtable(descr,
                   caption = "Descriptive statistics")
print(descr_xt,
      type = "html",
      file = "DescriptiveStatistics.html",
      caption.placement = "top",
      html.table.attributes = "width=50%,  
      style='color:red; background-color:lightyellow;
      border: 5px solid; padding:10px;
      font-family:calibri'")


ANOVA <- aov(Y ~ A * B, data = d)
ANOVA_xt <- xtable(summary(ANOVA),
                   caption = "ANOVA summary")
print(ANOVA_xt,
      type = "html",
      file = "ANOVA_Summary.html",
      caption.placement = "top",
      html.table.attributes = "style='border-top:2px solid;
      border-bottom:2px solid; border-spacing:15px'")