## Blueprint rgl diagram from scratch
library(rgl)
set.seed(12345)

n <- 20
A <- rep(1:3, each = n)
M <- matrix(c(7,  7,  8,
              10, 5,  11,
              14, 5,  10), 3, 3,
            dimnames = list(c("a1", "a2", "a3"),
                            c("X", "Y", "Z")))
d <- data.frame(A,
                X = rnorm(length(A), rep(M[,"X"], each = n), 2),
                Y = rnorm(length(A), rep(M[,"Y"], each = n), 2),
                Z = rnorm(length(A), rep(M[,"Z"], each = n), 2))
rm(A)

with(d,
     {
       open3d()
       decorate3d(xlim = c(0, 20),
                  ylim = c(0, 20),
                  zlim = c(0, 20),
                  box = FALSE,
                  axes = FALSE)
       axis3d("x", at = seq(0, 20, 5), pos = 0)
       axis3d("y", at = seq(0, 20, 5), pos = 0)
       axis3d("z", at = seq(0, 20, 5), pos = 0)
       grid3d("Z", col = "black")
       points3d(X, Y, Z, col = A)
       
       M <- lm(Z ~ X * Y)
       c <- coef(M)
       XX <- 1:20; YY <- 1:20
       dd <- data.frame(expand.grid(X = XX, Y = YY))
       dd$"X:Y" <- dd$X * dd$Y
       pdd <- predict(M, newdata = dd)
       mpdd <- matrix(pdd, 20, 20)
       surface3d(1:20, 1:20, mpdd, col = "lightcyan", alpha = .5)
     })