## Blueprint rgl layout with four diagrams
library(rgl)
set.seed(12345)

d <- as.data.frame(mvtnorm::rmvnorm(100,
                                    sigma = matrix(c(3, 2, 2,
                                                     2, 3, 1,
                                                     2, 1, 3),
                                                   3, 3)))
names(d) <- c("X", "Y", "Z")

with(d,
     {
       layout3d(matrix(1:4, 2, 2))
       subsceneList()
       currentSubscene3d()
       plot3d(X, Y, Z, type = "s")
       useSubscene3d(subsceneList()[2])
       lines3d(X, Y, Z)
       useSubscene3d(subsceneList()[3])
       triangles3d(X[1:99], Y[1:99], Z[1:99], col = 1:33)
       useSubscene3d(subsceneList()[4])
       aspect3d(2, .2, 1)
       quads3d(X, Y, Z, col = 1:25)
       bg3d("light grey")
       box3d()
     })