## ITC  Histograms of SAT score distributions by gender

source("./Scripts/ITC_PRE_LoadData.R")

with(ITC$stvu,
     {
       SATRange <- range(sat, na.rm = TRUE)
       layout(1:2)
       par(mar = c(4.5, 4, 1, .5))
       lapply(levels(gender),
              function(X)
              {
                hist(sat[gender == X],
                     breaks = seq(SATRange[1]-50,
                                  SATRange[2]+50, 
                                  by = 100),
                     ylim = c(0, 30),
                     col = "grey",
                     main = paste("SAT distribution", X),
                     xlab = "SAT score",
                     xaxt = "n",
                     las = 1)
                axis(1, at = seq(SATRange[1], SATRange[2], 100))
              })
     })