## ITC - Scatterplot SAT score by number of correct responses

source("./Scripts/ITC_PRE_LoadData.R")

with(ITC$stvc,
     {
       NumberCorrect <- rowSums(ITC$stvc[c("p1pnotq(correct)",
                                            "p2pnotq(correct)",
                                            "p3pnotq(correct)")])
       Means <- tapply(sat, NumberCorrect, mean)
       plot(NumberCorrect, sat,
            xaxt = "n",
            xlab = "Number of correct responses",
            las = 1)
       axis(1, at = 0:3)
       points(0:3, Means,
              cex = 2, pch = 18)
       text((0:3), Means,
            labels = round(Means, digits = 2),
            pos = c(4, 4, 4, 2))
       
     })
