## SCB  Covariance and correlation


if(!exists('CovarianceCorrelation'))
{
  source("./Script/SCB_PRE_DataImport.R")
  source("./Script/SCB_PRE_VariableLabels.R")
  library(psych)
  library(Hmisc)
  
  DependentVariables <- names(SCB)[grep("Y", names(SCB))]
  CovarianceCorrelation <- list(Covariances = cov(SCB[DependentVariables]),
                                Correlations = cor(SCB[DependentVariables]),
                                CorrTest1 = cor.test(SCB$Y1C1, SCB$Y1C2),
                                CorrTest2 = corr.test(SCB[DependentVariables]))
  rm(DependentVariables)
}