## SCB  Descriptive statistics for all measurements of violence

if(!exists("DescrViolenceVar"))
{
  source("./Script/SCB_PRE_DataImport.R")
  source("./Script/SCB_PRE_VariableLabels.R")
  library(psych)
  
  DescrViolenceVar <- with(SCB,
                           {                                           
                             DependentVariables <- c("Y1C1", "Y2C1", "Y3C1",
                                                     "Y1C2", "Y2C2", "Y3C2",
                                                     "Y1C3", "Y2C3", "Y3C3",
                                                     "Y1C4", "Y2C4", "Y3C4")
                             
                             # Vectorised function application
                             MeansViolence <- apply(SCB[DependentVariables],
                                                    MARGIN = 2,
                                                    FUN = mean)
                             ConditionalSummariesViolence <- by(SCB[DependentVariables],
                                                                SCB$A,
                                                                summary)
                             list(MeansViolence = MeansViolence,
                                  ConditionalSummariesViolence = ConditionalSummariesViolence)
                           })
}