## SCB  Error bars

source("./Script/SCB_PRE_DataImport.R")
source("./Script/SCB_PRE_VariableLabels.R")
source("./Script/SCB_PRE_DataAggregation.R")
library(gplots)

# Prepare statistics before plotting
descr <- with(SCB,
              {
                list(means = tapply(PersonPerson_PRE,
                                    A, mean),
                     sd = tapply(PersonPerson_PRE,
                                 A, sd))
              })

pdf(file = "./Figures/SCB_ErrorBars.pdf", pointsize = 18)
# Plot standard deviations as error bars
plotCI(x = 1:3,
       y = descr$means,
       uiw = descr$sd,
       xlim = c(.5, 3.5),
       ylim = c(0, 50),
       pch = 16,
       gap = 0,
       xlab = "Intervention program",
       ylab = "Person against Person conflict",
       xaxt = "n",
       las = 1)
axis(side = 1,
     at = 1:3,
     labels = names(descr$means))

# Plot 95% confidence intervals for the group means
plotmeans(PersonPerson_PRE ~ A,
          data = SCB,
          p = .95,
          xlab = "Intervention program",
          ylab = "Person against Person conflict",
          las = 1)
dev.off()