## SCB  Graphical data exploration  Scatter plots

source("./Script/SCB_PRE_DataImport.R")
source("./Script/SCB_PRE_VariableLabels.R")
source("./Script/SCB_PRE_DataAggregation.R")

# Association between Pre- and Post-measurement for variable Y1
with(SCB, plot(PersonPerson_PRE, PersonPerson_POST))

# Association between baseline and post-measurement for all Y variables
with(SCB, matplot(jitter(cbind(PersonPerson_PRE,
                        PersonGroup_PRE,
                        GroupGroup_PRE)),
                  jitter(cbind(PersonPerson_POST,
                        PersonGroup_POST,
                        GroupGroup_POST)),
                  pch = 3:5,
                  xlab = "Baseline measurement",
                  ylab = "Post measurement"))

# Matrix of scatter plots
pairs(SCB[,grep("Y", names(SCB))])
psych::pairs.panels(SCB[,grep("Y", names(SCB))])

# Conditional distribution of the dependent variable
stripchart(SCB$PersonPerson_PREPOST ~ A, SCB, method = "stack")

# Associations between dependent variables and covariates
# conditional on program and type of school
lattice::xyplot(SCB$PersonPerson_PREPOST ~ X1 | A + B, SCB)
lattice::xyplot(SCB$PersonPerson_PREPOST ~ X2 | A + B, SCB)

# Conditional association between dependent variable and covariate
coplot(SCB$PersonPerson_PREPOST ~ X1 | A + B, SCB)

# Association between dependent variables in 3D
rgl::plot3d(SCB[,c("PersonPerson_PREPOST",
                   "PersonGroup_PREPOST",
                   "GroupGroup_PREPOST")])