## SCB  Example data 

source("Script/SCB_FUN_DataSimulation.R")
set.seed(12345)

# Set effects and associations
InterventionEffect <- c(.6, -.2, -.4)
SchoolEffect <- c(.4, .3, -.7)
CovMat <- diag(c(2, 5, rep(5, 12)))
Covariance <- 2
CovMat[lower.tri(CovMat)] <- Covariance
CovMat[upper.tri(CovMat)] <- Covariance
CovMat[cbind(c(1, 2), c(2, 1))] <- 1

# Generate random data frame
SCB <- SCB_DataSimulation(A_effect = InterventionEffect,
                          B_effect = SchoolEffect,
                          Sigma = CovMat)
SCB <- data.frame(SCB[c("ID", "A", "B")],
                  round(SCB[c("X1", "X2",
                              "Y1C1", "Y2C1", "Y3C1",
                              "Y1C2", "Y2C2", "Y3C2",
                              "Y1C3", "Y2C3", "Y3C3",
                              "Y1C4", "Y2C4", "Y3C4")]))

# Export data frame
write.csv(SCB, file = "./Data/ExperimentConflictReconciliationData.csv")