## UPS  Scatter plot of the complete design

source("Scripts/UPS_PRE_DataImport.R")

library(ggplot2)

ggplot(data = UPS, mapping = aes(x = sound, y = rating, color = age)) + 
  geom_point() +
  geom_jitter()

with(UPS,
     {
       UPS$age_cut <- cut(UPS$age,
                         breaks = seq(10,80,10), 
                         labels = c("10-20","21-30",
                                    "31-40","41-50",
                                    "51-60","61-70",
                                    "71-80"))
       ggplot(data = UPS, mapping = aes(x = sound,
                                       y = rating,
                                       color = variation)) +
         geom_point() +
         geom_jitter() +
         facet_grid(age_cut ~ group)
     })