## WBD  Patient characteristics - table one

if(!exists("TableOne"))
{
  
  source("Scripts/WBD_PRE_DataImport.R")
  library(tableone)
  library(labelled)
  
  TableOne <- with(WBD,
                   {
                     CPS_TO <- set_variable_labels(CPS,
                                                   .labels = attr(CPS, "variable.labels"))
                     var_label(CPS_TO$Gender) <- "Gender"
                     
                     # Distributions of demographic variables between conditions: Table 1
                     CreateTableOne(vars = c("Gender", "BDIcategory",
                                             "Employmentstatus",
                                             "YrsEducation", "NPastEpisodes",
                                             "Comorbidcurrentanxiety",
                                             "OnantiD", "EverantiD",
                                             "Past_psych_tx", "Everpastcontact",          
                                             "Current_contact",
                                             "Howfoundout",
                                             "BDI_1", "STAIT_1", "EQ5DVAS_1", "SUIS_1",
                                             "PITPV_1", "PITPL_1", "PITPE_1",                  
                                             "PITNV_1", "PITNL_1", "PITNE_1",
                                             "SST_1_negativity",         
                                             "ANH_1", "EQ_Total"),
                                    strata = "Condition",
                                    data = CPS_TO)
                   })
}