## WBD  Q-Q plots for testing normality
source("./Scripts/WBD_PRE_DataImport.R")
source("./Scripts/WBD_PRE_ReshapeToLongFormat.R")

with(WBD$CPS_LongFormat,
     {
       layout(matrix(1:10, nrow = 5, byrow = TRUE))
       par(mar = c(2,3,2,0), oma = c(3,3,3,0))
       InteractionConditionMeasurement <- interaction(Condition, Measurement, sep = " ")
       lapply(levels(InteractionConditionMeasurement), function(X)
       {
         qqnorm(BDI[InteractionConditionMeasurement == X],
                main = X,
                ylim = c(0, 60))
         
       })
       mtext("Theoretical quantiles", 1, line = 1, outer = TRUE)
       mtext("BDI Data", 2, line = 1, outer = TRUE)
       mtext("WBD - Q-Q plots to check normality assumption", 3, line = 1, outer = TRUE)
     })