## WBD  Convert data frame to long format

source("Scripts/WBD_PRE_DataImport.R")

if(!exists("CPS_LongFormat", where = WBD))
{
  WBD$CPS_LongFormat <- reshape(WBD$CPS, varying = list(BDI = paste0("BDI_", 1:5),
                                                ANH = paste0("ANH_", 1:5),
                                                PITPV = paste0("PITPV_", 1:5)),
                        timevar = "Measurement",
                        v.names = c("BDI", "ANH", "PITPV"),
                        idvar = c("Participant"),
                        direction = "long")
  WBD$CPS_LongFormat$Measurement <- factor(WBD$CPS_LongFormat$Measurement,
                                           labels = c("Baseline",
                                                      "Post-treatment",
                                                      "1-month",
                                                      "3-month",
                                                      "6-month"))
}